.\" (c) 1993 by Thomas Koenig (ig25@rz.uni-karlsruhe.de)
.\"
.\" Permission is granted to make and distribute verbatim copies of this
.\" manual provided the copyright notice and this permission notice are
.\" preserved on all copies.
.\"
.\" Permission is granted to copy and distribute modified versions of this
.\" manual under the conditions for verbatim copying, provided that the
.\" entire resulting derived work is distributed under the terms of a
.\" permission notice identical to this one
.\" 
.\" Since the Linux kernel and libraries are constantly changing, this
.\" manual page may be incorrect or out-of-date.  The author(s) assume no
.\" responsibility for errors or omissions, or for damages resulting from
.\" the use of the information contained herein.  The author(s) may not
.\" have taken the same level of care in the production of this manual,
.\" which is licensed free of charge, as they might when working
.\" professionally.
.\" 
.\" Formatted or processed versions of this manual, if unaccompanied by
.\" the source, must acknowledge the copyright and authors of this work.
.\" License.
.\" Modified Sat Jul 24 19:04:55 1993 by Rik Faith (faith@cs.unc.edu)
.TH KILLPG 3  "April 4, 1993" "GNU" "Linux Programmer's Manual"
.SH NAME
killpg \- send signal to all members of a process group.
.SH SYNOPSIS
.nf
.B #include <signal.h>
.sp
.BI "int killpg(pid_t " pidgrp ", int " signal ");"
.fi
.SH DESCRIPTION
The
.B killpg()
function causes signal
.I signal
to be sent to all the processes in the process group
.I pidgrp
or to the processes' own process group if
.I pidgrp
is equal to zero.
.PP
It is equivalent to
.nf
.sp
.BI kill(- pidgrp , signal );
.fi
.SH "RETURN VALUE"
The value returned is \-1 on error, or 0 for success.
.SH ERRORS
Errors are returned in
.I errno
and can be one of the following:
.TP
.B EINVAL
for an invalid signal,
.TP
.B ESRCH
for a process group which does not exist, and
.TP
.B EPERM
if the userid of the calling process is not equal to that of the
process the signal is sent to, and the userid is not that of the
superuser.
.SH "CONFORMING TO"
???
.SH "SEE ALSO"
.BR kill "(2), " signal "(2), " signal (7)
